﻿export default [
  {
    path: '/auth',
    layout: false,
    routes: [
      {
        name: 'login',
        path: '/auth/login',
        component: './auth/login',
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/welcome',
    name: 'welcome',
    icon: 'smile',
    component: './Welcome',
  },
  {
    name: 'user.table-list',
    icon: 'team',
    path: '/user/list',
    component: './user/list',
    access: 'routeFilter',
  },
  {
    path: '/user/settings/:id',
    component: './user/settings',
  },
  {
    path: '/example',
    name: 'example',
    icon: 'experiment',
    routes: [
      {
        path: '/example/calculate_md5',
        name: 'calculate_md5',
        component: './example/calculate_md5',
      },
      {
        path: '/example/fragment_upload/list',
        name: 'fragment_upload',
        component: './example/fragment_upload/list',
      },
      {
        path: '/example/fragment_upload/upload',
        component: './example/fragment_upload/upload',
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/',
    redirect: '/welcome',
  },
  {
    component: './404',
  },
];
