export type UserAddParams = {
  account: string;
  password: string;
  name: string;
};
export type UserEditParams = {
  account?: string;
  password?: string;
  name?: string;
};
export type UserIdentityParams = {
  identity: number;
};
export type UserDisableSwitchParams = {
  disable_switch: number;
};
export type UserResult = {
  user_id: number;
  account: string;
  name: string;
  identity: number;
  disable_switch: number;
  create_time: number;
};
export type CurrentUser = {
  user_id: number;
  account: string;
  name: string;
  identity: number;
  disable_switch: number;
  permissions: { permission: string; type: string }[];
};
